<!DOCTYPE html>
<html>
<head>
    <title>User Profile</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    
</head>
<body>
    
    <header class="bg-dark text-white">
        <div class="container">
            <div class="d-flex justify-content-end align-items-center">
                {% if user.is_authenticated %}
                    
                    <a href="{% url 'logout' %}" class="btn btn-outline-primary me-2">Logout</a>
                    

                    <a href="{% url 'home' %}" class="btn btn-outline-primary">Home</a>
                    <a href="{% url 'movie_list' %}" class="btn btn-outline-primary">Movies List</a>
                {% else %}
                    <a href="{% url 'login' %}" class="btn btn-outline-primary me-2">Login</a>
                    <a href="{% url 'register' %}" class="btn btn-outline-primary">Register</a>

                {% endif %}
            </div>
        </div>
    </header>

    
    <div class="container mt-4">
        <h2>Recommended Movies for You</h2>
        <ul>
            {% for movie in recommended_movies %}
                <li>
                    <a href="{% url 'movie_detail' movie_id=movie.id %}">{{ movie.title }}</a> <p>Genres: {{ movie.genres }}</p> 
                </li>
            {% empty %}
                <li>No recommendations available.</li>
            {% endfor %}
        </ul>

        <h2>Popular Movies</h2>
        <ul>
            {% for movie in movie_list %}
                <li>
                    <a href="{% url 'movie_detail' movie_id=movie.id %}">{{ movie.title }}</a>  <p>Genres: {{ movie.genres }}</p> <p>Average Rating: {{ movie.avg_rating }}</p>
                </li>
            {% empty %}
                <li>No Popular Movies to show!</li>
            {% endfor %}
        </ul>
        
        <h2>Recommended Movies based on your genre preference</h2>
        <div class="row">
            {% for movie in page_obj %}
                <div class="col-md-4 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><a href="{% url 'movie_detail' movie_id=movie.id %}">{{ movie.title }}</a></h5>
                            <p class="card-text">Genres: {{ movie.genres }}</p>
                        </div>
                    </div>
                </div>
            {% empty %}
                <div class="col">
                    <p>No preference-based recommendations available.</p>
                </div>
            {% endfor %}
        </div>
        <!-- Pagination Links -->
        <nav aria-label="Page navigation example">
            <ul class="pagination">
                {% if page_obj.has_previous %}
                    <li class="page-item"><a class="page-link" href="?page={{ page_obj.previous_page_number }}">Previous</a></li>
                {% endif %}
        
                {% for num in page_obj.paginator.page_range %}
                    {% if page_obj.number == num %}
                        <li class="page-item active"><a class="page-link" href="?page={{ num }}">{{ num }}</a></li>
                    {% else %}
                        <li class="page-item"><a class="page-link" href="?page={{ num }}">{{ num }}</a></li>
                    {% endif %}
                {% endfor %}
        
                {% if page_obj.has_next %}
                    <li class="page-item"><a class="page-link" href="?page={{ page_obj.next_page_number }}">Next</a></li>
                {% endif %}
            </ul>
        </nav>        
    </div>
    <div>
        
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
